<?php
/*
Plugin Name: پیشنهاد جایگزین
Description: نمایش محصولات پیشنهادی بالای محصولات ناموجود - مشابه دیجی کالا
Version:     1.0
Plugin URI:  https://www.webmastersalam.com/%D8%AE%D8%B1%DB%8C%D8%AF-%D8%A8%DA%A9-%D9%84%DB%8C%D9%86%DA%A9-%D8%A7%D8%B1%D8%B2%D8%A7%D9%86-%D9%88-%D8%AF%D8%A7%D8%A6%D9%85%DB%8C/
Author:      وبمسترسلام - خرید بک لینک
Author URI:  https://www.webmastersalam.com/%D8%AE%D8%B1%DB%8C%D8%AF-%D8%A8%DA%A9-%D9%84%DB%8C%D9%86%DA%A9-%D8%A7%D8%B1%D8%B2%D8%A7%D9%86-%D9%88-%D8%AF%D8%A7%D8%A6%D9%85%DB%8C/
*/

function jp_out_of_stock_move_related() {
	global $post;
	
	$product = wc_get_product( $post->ID );

	if ( ! $product ) {
		return;
	}

	if ( ! $product->is_in_stock() ) {
		remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
		add_action( 'woocommerce_before_single_product', 'woocommerce_output_related_products', 25 );
	}
}
add_action( 'template_redirect', 'jp_out_of_stock_move_related' );
